/**
 * Created by CSL on 2017-06-20.
 */
//var ModuleNames = require('./main_consts.js');

var FeeRate = {
    createNew: function (project) {

        function FeeRate(proj){
            this.project = proj;
            this.datas = null;
            this.sourceType = ModuleNames.feeRate;
            proj.registerModule(ModuleNames.feeRate, this);
        };

        FeeRate.prototype.loadData = function (datas) {
            this.datas = datas;
        };

        FeeRate.prototype.getRate = function (fileID, rateID){

            return 1.25;
        }

        var feeRate = new FeeRate(project);
        return feeRate;
    }
};

// for test
/*
var f = -1;
var fr = FeeRate.createNew(null);
f = fr.getRate();
console.log(fr.sourceType);
console.log(f);*/
